package com.xdf.creative.base.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class CompanyBaseInfoVO {

    private Long id;
    /**
     * 企业名称
     */
    private String name;
    /**
     * 法人代表
     */
    private String legalPersonName;
    /**
     * 注册资金
     */
    private String regCapital;

    /**
     * 实收注册资金
     */
    private String actualCapital;

    /**
     * 营业状态
     */
    private String regStatus;

    /**
     * 成立日期
     */
    private Date estiblishTime;

    /**
     * 统一社会信用代码
     */
    private String propertyCode;

    /**
     * 纳税识别号
     */
    private String payTaxesNumber;
    /**
     * 注册号
     */
    private String regNumber;
    /**
     * 组织机构代码
     */
    private String orgNumber;
    /**
     * 公司类型
     */
    private String companyOrgType;
    /**
     * 核准日期
     */
    private Date approvedTime;
    /**
     * 登记机关
     */
    private String regInstitute;
    /**
     * 营业期限开始日期
     */
    private Date fromTime;
    /**
     * 营业期限终止日期
     */
    private Date toTime;
    /**
     * 注册地址
     */
    private String regLocation;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 雇员数量
     */
    private String employeeNum;

    /**
     * 参保人数
     */
    private String endowmentInsurance;
    /**
     * categoryName
     */
    private String categoryName;

    /**
     * 英文名
     */
    private String enName;

    /**
     * 归属省份的首字母小写
     */
    private String base;

    /**
     * 曾用名
     */
    private List<String> historyName;


    /**
     * 企业简介
     */
    private String introduction;
}
