package com.xdf.creative.base.vo;

import lombok.Data;

import java.util.Date;

@Data
public class CompanyInfoDocument {

    /**
     * 公司id
     */
    private Long com_id;
    /**
     * 是否抽查检查
     */
    private String is_check_info;
    /**
     * 是否经营异常
     */
    private String is_abnormal;
    /**
     * 是否上市公司
     */
    private String listed_com;
    /**
     * 信用等级
     */
    private String tax_credit;
    /**
     * 是否严重违法
     */
    private String is_illegal_info;
    /**
     * 是否股权出质
     */
    private String is_equity_info;
    /**
     * 是否购地
     */
    private String is_purchase_land;
    /**
     * 是否欠税
     */
    private String is_own_tax;
    /**
     * 是否融资信息
     */
    private String is_invest;
    /**
     * 是否失信
     */
    private String is_dishonest;
    /**
     * 是否是执行人
     */
    private String is_zhixing;
    /**
     * 是否有产品
     */
    private String is_product;
    /**
     * 是否动产抵押
     */
    private String is_mortgage;
    /**
     * 是否有作品著作权
     */
    private String is_copyright_work;
    /**
     * 是否有执行处罚
     */
    private String is_punish;
    /**
     * 是否有招聘信息
     */
    private String is_employer;
    /**
     * 是否招标
     */
    private String is_purchaser;
    /**
     * 高管名称
     */
    private String high_name;
    /**
     * 高管ID
     */
    private String high_id;
    /**
     * 是否有软件著作权
     */
    private String is_copyright_reg;
    /**
     * 参保人数
     */
    private String endowment_insurance;

    /**
     * 公司名称
     */
    private String com_name;
    /**
     * 法人名称
     */
    private String fr_nm;
    /**
     * 公司类型
     */
    private String com_org_tp;
    /**
     * 注册地址
     */
    private String reg_loc;
    /**
     * 注册时间
     */
    private String est_tm;
    /**
     * 经营范围
     */
    private String bus_sp;
    /**
     * 注册状态
     */
    private String reg_st;
    /**
     * 注册资本
     */
    private String reg_cpl;
    /**
     * 注册号
     */
    private String reg_num;
    /**
     * 组织机构代码
     */
    private String org_num;
    /**
     * 统一社会信用代码
     */
    private String soci_num;

    /**
     * 注册资金
     */
    private String reg_val;
    /**
     * 资金单位
     */
    private String reg_unit;

    /**
     * 行业代码
     */
    private String categ;
    /**
     * 是否有商标
     */
    private String is_trade_mark;
    /**
     * 是否有专利
     */
    private String is_patents;
    /**
     * 是否有网站
     */
    private String is_haveWeb;
    /**
     * 是否500强
     */
    private String is_500;
    /**
     * 是否高新
     */
    private String is_high_tec;
    /**
     * 是否诉讼
     */
    private String is_lawsuit;
    /**
     * 是否法院公告
     */
    private String is_court;
    /**
     * 是否有座机
     */
    private String is_phone;
    /**
     * 是否有移动电话
     */
    private String is_mobile;
    /**
     * 是否有电邮
     */
    private String is_email;

    //注册时间
    private Date reg_date;

    /**
     * 企业信用评分
     */
    private int com_score;
    //认领状态
    private int claimStatus;
    //是否高薪技术企业
    private String is_high_tec_new;
    //是否500强
    private String is_500_new;


}
