package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lgw
 * @since 2020-05-11
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtEnterCompany对象", description = "")
public class DtEnterCompany extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织id")
    private Long orgParkId;

    @ApiModelProperty(value = "园区库id")
    private Long bizParkId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "企业统一社会信用代码")
    private String serialNumber;

    @ApiModelProperty(value = "企业法人名字")
    private String legalPersonName;

    @ApiModelProperty(value = "注册资本数字")
    private String regCapitalNo;

    @ApiModelProperty(value = "注册资本单位")
    private String unit;

    @ApiModelProperty(value = "注册资本")
    private String regCapital;

    @ApiModelProperty(value = "所属行业代码")
    private String categ;

    @ApiModelProperty(value = "所属行业名称")
    private String cateName;

    @ApiModelProperty(value = "成立日期")
    private Date estiblishTime;

    @ApiModelProperty(value = "是否为战略融资")
    private String isInvest;

    @ApiModelProperty(value = "是否为上市公司")
    private String listedCom;

    @ApiModelProperty(value = "是否为高新技术企业")
    private String isHighTecNew;

    @ApiModelProperty(value = "是否为企业500强")
    private String isFiveNew;

    @ApiModelProperty(value = "是否存在")
    private Integer exist;

    @ApiModelProperty(value = "是否为个体户 0否 1是")
    private Integer companyType;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "企业id")
    private Long companyId;

    @ApiModelProperty(value = "排序号")
    private Integer sort;

}
