package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtUploadCompanyQueryParam;
import com.xdf.creative.base.vo.dt.DtUploadCompanyQueryVo;
import com.xdf.creative.module.entity.DtUploadCompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 企业上传 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-05-07
 */
@Repository
public interface DtUploadCompanyMapper extends BaseMapper<DtUploadCompany> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtUploadCompanyQueryVo getDtUploadCompanyById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtUploadCompanyQueryParam
     * @return
     */
    IPage<DtUploadCompanyQueryVo> getDtUploadCompanyPageList(@Param("page") Page page, @Param("param") DtUploadCompanyQueryParam dtUploadCompanyQueryParam);

}
