package com.xdf.creative.module.service;

import com.xdf.creative.base.params.dt.DtEnterCompanyQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.DtEnterCompanyQueryVo;
import com.xdf.creative.module.entity.DtEnterCompany;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-05-11
 */
public interface DtEnterCompanyService extends BaseService<DtEnterCompany> {

    /**
     * 清理数据
     * @return
     */
    ApiResult cleanParkCompany();
    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtEnterCompanyQueryVo getDtEnterCompanyById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtEnterCompanyQueryParam
     * @return
     */
    PageTool<DtEnterCompanyQueryVo> getDtEnterCompanyPageList(DtEnterCompanyQueryParam dtEnterCompanyQueryParam) throws Exception;

    /**
     * 获取分页对象
     *
     * @param dtEnterCompanyQueryParam
     * @return
     */
    PageTool<DtEnterCompanyQueryVo> getDtEnterCompanyUserList(DtEnterCompanyQueryParam dtEnterCompanyQueryParam) throws Exception;


    /**
     * 获取分页对象
     *
     * @param dtEnterCompanyQueryParam
     * @return
     */
    PageTool<DtEnterCompanyQueryVo> getDtEnterCompanyHomeList(DtEnterCompanyQueryParam dtEnterCompanyQueryParam) throws Exception;

}
