package com.xdf.creative.base.params;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import com.xdf.creative.util.excel.Description;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 企业上传
 * </p>
 *
 * @author lgw
 * @since 2020-05-07
 */
@Data
public class DtUploadCompanyDescript {

    @Description(showName = "园区名称")
    private String parkName;

    @Description(showName = "企业名称")
    private String companyName;

    @Description(showName = "企业统一社会信用代码")
    private String serialNumber;

    @Description(showName =  "企业法人")
    private String legalPersonName;

    @Description(showName =  "注册资本数字")
    private String regCapitalNo;

    @Description(showName =  "注册资本单位")
    private String unit;

    @Description(showName =  "所属行业名称")
    private String cateName;

    @Description(showName =  "成立日期")
    private String estiblishTime;

    @Description(showName =  "是否为个体户")
    private String companyType;


}
