package com.xdf.creative.module.service;

import com.xdf.creative.base.params.DtUploadCompanyDescript;
import com.xdf.creative.base.params.dt.DtUploadCompanyQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.dt.DtUploadCompanyQueryVo;
import com.xdf.creative.module.entity.DtUploadCompany;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 企业上传 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-05-07
 */
public interface DtUploadCompanyService extends BaseService<DtUploadCompany> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtUploadCompanyQueryVo getDtUploadCompanyById(Serializable id) throws Exception;


    /**
     * excel 上传更新
     * @param list
     * @return
     */
    ApiResult addCompanyByExcel(List<DtUploadCompanyDescript> list);

    /**
     * 获取分页对象
     *
     * @param dtUploadCompanyQueryParam
     * @return
     */
    PageTool<DtUploadCompanyQueryVo> getDtUploadCompanyPageList(DtUploadCompanyQueryParam dtUploadCompanyQueryParam) throws Exception;

}
